Subject: Re: bug#64113: [PATCH] gnu: Add missing native search paths to audio plugins.

From: Sughosha <[email-masked]>
Date: Wed, 01 Nov 2023 06:23:55 +0000

Hi Maxim,

------- Original Message -------
Maxim Cournoyer <[email-masked]> schrieb am Samstag, 2. September 2023 um 20:37:

> You seem to be adding these search paths to plugins, which is
> unexpected from my understanding: a plugins by itself does nothing; the
> search paths should rather be defined on the consumer of the plugins
> (e.g. Ardour), no?
> 
> --
> Thanks,
> Maxim

Oh yes. I think what you are saying is right. The search path should rather be defined on the consumer of the plugins, like Ardour and Qtractor. I read in this article, <https://guix.gnu.org/blog/2019/guix-profiles-in-practice/>, which asks to add man-db, info-reader or pkg-config to the profile manifest, so adding search path to every package with man pages does not make any sense. I think this issue can be closed now.

Thanks,
Sughosha.